com.pixelmed.dicom

## Class SOPClass

- java.lang.Object
- - com.pixelmed.dicom.SOPClass

Direct Known Subclasses:
  FindSOPClassSCU, GetSOPClassSCU, MoveSOPClassSCU, StorageSOPClassSCP, StorageSOPClassSCU, VerificationSOPClassSCU

    public abstract class SOPClass
    extends java.lang.Object

The abstract base class of classes that implement individual DICOM SOP Classes or groups of SOP Classes that behave similarly (for example the composite instance Storage SOP Classes).

There is no formal or separate abstraction of the DICOM concept of a Service Class per se.

Also defines the UID strings that correspond to the individual SOP Classes, as well as various utility methods for testing whether or not a string UID is of a particular family.

### Field Summary

Fields
`static java.lang.String` `AmbulatoryECGStorage`
`static java.lang.String[]` `arrayOfQuerySOPClasses`
`static java.lang.String[]` `arrayOfRetrieveWithGetSOPClasses`
`static java.lang.String[]` `arrayOfRetrieveWithMoveSOPClasses`
`static java.lang.String[]` `arrayOfStorageSOPClasses`
`static java.lang.String` `ArterialPulseWaveformStorage`
`static java.lang.String` `AudioSRStorageTrialRetired`
`static java.lang.String` `AutorefractionMeasurementsStorage`
`static java.lang.String` `BasicStructuredDisplayStorage`
`static java.lang.String` `BasicTextSRStorage`
`static java.lang.String` `BasicVoiceStorage`
`static java.lang.String` `BlendingSoftcopyPresentationStateStorage`
`static java.lang.String` `BreastTomosynthesisImageStorage`
`static java.lang.String` `CardiacElectrophysiologyWaveformStorage`
`static java.lang.String` `ChestCADSRStorage`
`static java.lang.String` `ColonCADSRStorage`
`static java.lang.String` `ColorPaletteInformationModelFind`
`static java.lang.String` `ColorPaletteInformationModelGet`
`static java.lang.String` `ColorPaletteInformationModelMove`
`static java.lang.String` `ColorPaletteStorage`
`static java.lang.String` `ColorSoftcopyPresentationStateStorage`
`static java.lang.String` `Comprehensive3DSRStorage`
`static java.lang.String` `ComprehensiveSRStorage`
`static java.lang.String` `ComprehensiveSRStorageTrialRetired`
`static java.lang.String` `ComputedRadiographyImageStorage`
`static java.lang.String` `CornealTopographyMapStorage`
`static java.lang.String` `CTImageStorage`
`static java.lang.String` `DeformableSpatialRegistrationStorage`
`static java.lang.String` `DetailSRStorageTrialRetired`
`static java.lang.String` `DICONDEEddyCurrentImageStorage`
`static java.lang.String` `DICONDEEddyCurrentMultiframeImageStorage`
`static java.lang.String` `DICOS2DAITStorage`
`static java.lang.String` `DICOS3DAITStorage`
`static java.lang.String` `DICOSCTImageStorage`
`static java.lang.String` `DICOSDigitalXRayImageStorageForPresentation`
`static java.lang.String` `DICOSDigitalXRayImageStorageForProcessing`
`static java.lang.String` `DICOSQuadrupoleResonanceStorage`
`static java.lang.String` `DICOSThreatDetectionReportStorage`
`static java.lang.String` `DigitalIntraoralXRayImageStorageForPresentation`
`static java.lang.String` `DigitalIntraoralXRayImageStorageForProcessing`
`static java.lang.String` `DigitalMammographyXRayImageStorageForPresentation`
`static java.lang.String` `DigitalMammographyXRayImageStorageForProcessing`
`static java.lang.String` `DigitalXRayImageStorageForPresentation`
`static java.lang.String` `DigitalXRayImageStorageForProcessing`
`static java.lang.String` `EncapsulatedCDAStorage`
`static java.lang.String` `EncapsulatedPDFStorage`
`static java.lang.String` `EnhancedCTImageStorage`
`static java.lang.String` `EnhancedMRColorImageStorage`
`static java.lang.String` `EnhancedMRImageStorage`
`static java.lang.String` `EnhancedPETImageStorage`
`static java.lang.String` `EnhancedSRStorage`
`static java.lang.String` `EnhancedUSVolumeStorage`
`static java.lang.String` `EnhancedXAImageStorage`
`static java.lang.String` `EnhancedXRFImageStorage`
`static java.lang.String` `GeneralAudioWaveformStorage`
`static java.lang.String` `GeneralECGStorage`
`static java.lang.String` `GenericImplantTemplateStorage`
`static java.lang.String` `GrayscaleSoftcopyPresentationStateStorage`
`static java.lang.String` `HemodynamicWaveformStorage`
`static java.lang.String` `ImplantAssemblyTemplateStorage`
`static java.lang.String` `ImplantationPlanSRStorage`
`static java.lang.String` `ImplantTemplateGroupStorage`
`static java.lang.String` `IntraocularLensCalculationsStorage`
`static java.lang.String` `IVOCTImageStorageForPresentation`
`static java.lang.String` `IVOCTImageStorageForProcessing`
`static java.lang.String` `KeratometryMeasurementsStorage`
`static java.lang.String` `KeyObjectSelectionDocumentStorage`
`static java.lang.String` `LegacyConvertedEnhancedCTImageStorage`
`static java.lang.String` `LegacyConvertedEnhancedMRImageStorage`
`static java.lang.String` `LegacyConvertedEnhancedPETImageStorage`
`static java.lang.String` `LensometryMeasurementsStorage`
`static java.lang.String` `MacularGridThicknessAndVolumeReportStorage`
`static java.lang.String` `MammographyCADSRStorage`
`static java.lang.String` `MediaStorageDirectoryStorage`
`static java.lang.String` `MRImageStorage`
`static java.lang.String` `MRSpectroscopyStorage`
`static java.lang.String` `MultiframeGrayscaleByteSecondaryCaptureImageStorage`
`static java.lang.String` `MultiframeGrayscaleWordSecondaryCaptureImageStorage`
`static java.lang.String` `MultiframeSingleBitSecondaryCaptureImageStorage`
`static java.lang.String` `MultiframeTrueColorSecondaryCaptureImageStorage`
`static java.lang.String` `NuclearMedicineImageStorage`
`static java.lang.String` `NuclearMedicineImageStorageRetired`
`static java.lang.String` `OphthalmicAxialMeasurementsStorage`
`static java.lang.String` `OphthalmicPhotography16BitImageStorage`
`static java.lang.String` `OphthalmicPhotography8BitImageStorage`
`static java.lang.String` `OphthalmicThicknessMapStorage`
`static java.lang.String` `OphthalmicTomographyImageStorage`
`static java.lang.String` `OphthalmicVisualFieldStaticPerimetryMeasurementsStorage`
`static java.lang.String` `PatientRootQueryRetrieveInformationModelFind`
`static java.lang.String` `PatientRootQueryRetrieveInformationModelGet`
`static java.lang.String` `PatientRootQueryRetrieveInformationModelMove`
`static java.lang.String` `PatientStudyOnlyQueryRetrieveInformationModelFind`
`static java.lang.String` `PatientStudyOnlyQueryRetrieveInformationModelGet`
`static java.lang.String` `PatientStudyOnlyQueryRetrieveInformationModelMove`
`static java.lang.String` `PETImageStorage`
`static java.lang.String` `PrivateFujiCRImageStorage`
`static java.lang.String` `PrivateGE3DModelStorage`
`static java.lang.String` `PrivateGECollageStorage`
`static java.lang.String` `PrivateGEeNTEGRAProtocolOrNMGenieStorage`
`static java.lang.String` `PrivateGEPETRawDataStorage`
`static java.lang.String` `PrivatePhilips3DObject2Storage`
`static java.lang.String` `PrivatePhilips3DObjectStorage`
`static java.lang.String` `PrivatePhilips3DPresentationStateStorage`
`static java.lang.String` `PrivatePhilipsCompositeObjectStorage`
`static java.lang.String` `PrivatePhilipsCTSyntheticImageStorage`
`static java.lang.String` `PrivatePhilipsCXImageStorage`
`static java.lang.String` `PrivatePhilipsCXSyntheticImageStorage`
`static java.lang.String` `PrivatePhilipsLiveRunStorage`
`static java.lang.String` `PrivatePhilipsMRCardio2Storage`
`static java.lang.String` `PrivatePhilipsMRCardioAnalysis2Storage`
`static java.lang.String` `PrivatePhilipsMRCardioAnalysisStorage`
`static java.lang.String` `PrivatePhilipsMRCardioProfileStorage`
`static java.lang.String` `PrivatePhilipsMRCardioStorage`
`static java.lang.String` `PrivatePhilipsMRColorImageStorage`
`static java.lang.String` `PrivatePhilipsMRExamcardStorage`
`static java.lang.String` `PrivatePhilipsMRSeriesDataStorage`
`static java.lang.String` `PrivatePhilipsMRSpectrumStorage`
`static java.lang.String` `PrivatePhilipsMRSyntheticImageStorage`
`static java.lang.String` `PrivatePhilipsPerfusionImageStorage`
`static java.lang.String` `PrivatePhilipsPerfusionStorage`
`static java.lang.String` `PrivatePhilipsPrivateXRayMFStorage`
`static java.lang.String` `PrivatePhilipsReconstructionStorage`
`static java.lang.String` `PrivatePhilipsRunStorage`
`static java.lang.String` `PrivatePhilipsSpecialisedXAStorage`
`static java.lang.String` `PrivatePhilipsSurface2Storage`
`static java.lang.String` `PrivatePhilipsSurfaceStorage`
`static java.lang.String` `PrivatePhilipsVolume2Storage`
`static java.lang.String` `PrivatePhilipsVolumeSetStorage`
`static java.lang.String` `PrivatePhilipsVolumeStorage`
`static java.lang.String` `PrivatePhilipsVRMLStorage`
`static java.lang.String` `PrivatePixelMedLegacyConvertedEnhancedCTImageStorage`
`static java.lang.String` `PrivatePixelMedLegacyConvertedEnhancedMRImageStorage`
`static java.lang.String` `PrivatePixelMedLegacyConvertedEnhancedPETImageStorage`
`static java.lang.String` `PrivatePixelMedLegacyFloatingPointImageStorage`
`static java.lang.String` `PrivatePMODMultiframeImageStorage`
`static java.lang.String` `PrivateSiemensCSANonImageStorage`
`static java.lang.String` `ProcedureLogStorage`
`static java.lang.String` `PseudoColorSoftcopyPresentationStateStorage`
`static java.lang.String` `RawDataStorage`
`static java.lang.String` `RealWorldValueMappingStorage`
`static java.lang.String` `RespiratoryWaveformStorage`
`static java.lang.String` `RTBeamsDeliveryInstructionStorage`
`static java.lang.String` `RTBeamsDeliveryInstructionStorageTrial`
`static java.lang.String` `RTBeamsTreatmentRecordStorage`
`static java.lang.String` `RTBrachyTreatmentRecordStorage`
`static java.lang.String` `RTDoseStorage`
`static java.lang.String` `RTImageStorage`
`static java.lang.String` `RTIonBeamsTreatmentRecordStorage`
`static java.lang.String` `RTIonPlanStorage`
`static java.lang.String` `RTPlanStorage`
`static java.lang.String` `RTStructureSetStorage`
`static java.lang.String` `RTTreatmentSummaryRecordStorage`
`static java.lang.String` `SecondaryCaptureImageStorage`
`static java.lang.String` `SegmentationStorage`
`static java.lang.String` `SpatialFiducialsStorage`
`static java.lang.String` `SpatialRegistrationStorage`
`static java.lang.String` `SpectaclePrescriptionReportStorage`
`static java.lang.String` `StandaloneCurveStorage`
`static java.lang.String` `StandaloneModalityLUTStorage`
`static java.lang.String` `StandaloneOverlayStorage`
`static java.lang.String` `StandalonePETCurveStorage`
`static java.lang.String` `StandaloneVOILUTStorage`
`static java.lang.String` `StereometricRelationshipStorage`
`static java.lang.String` `StudyRootQueryRetrieveInformationModelFind`
`static java.lang.String` `StudyRootQueryRetrieveInformationModelGet`
`static java.lang.String` `StudyRootQueryRetrieveInformationModelMove`
`static java.lang.String` `SubjectiveRefractionMeasurementsStorage`
`static java.lang.String` `SurfaceScanMeshStorage`
`static java.lang.String` `SurfaceScanPointCloudStorage`
`static java.lang.String` `SurfaceSegmentationStorage`
`static java.lang.String` `TextSRStorageTrialRetired`
`static java.lang.String` `TwelveLeadECGStorage`
`static java.lang.String` `UltrasoundImageStorage`
`static java.lang.String` `UltrasoundImageStorageRetired`
`static java.lang.String` `UltrasoundMultiframeImageStorage`
`static java.lang.String` `UltrasoundMultiframeImageStorageRetired`
`static java.lang.String` `Verification`
`static java.lang.String` `VideoEndoscopicImageStorage`
`static java.lang.String` `VideoMicroscopicImageStorage`
`static java.lang.String` `VideoPhotographicImageStorage`
`static java.lang.String` `VisibleLightDraftImageStorage`
`static java.lang.String` `VisibleLightEndoscopicImageStorage`
`static java.lang.String` `VisibleLightMicroscopicImageStorage`
`static java.lang.String` `VisibleLightMultiFrameDraftImageStorage`
`static java.lang.String` `VisibleLightPhotographicImageStorage`
`static java.lang.String` `VisibleLightSlideCoordinatesMicroscopicImageStorage`
`static java.lang.String` `VisualAcuityMeasurementsStorage`
`static java.lang.String` `VLWholeSlideMicroscopyImageStorage`
`static java.lang.String` `XAXRFGrayscaleSoftcopyPresentationStateStorage`
`static java.lang.String` `XRay3DAngiographicImageStorage`
`static java.lang.String` `XRay3DCraniofacialImageStorage`
`static java.lang.String` `XRayAngiographicBiplaneImageStorage`
`static java.lang.String` `XRayAngiographicImageStorage`
`static java.lang.String` `XRayRadiationDoseSRStorage`
`static java.lang.String` `XRayRadioFlouroscopicImageStorage`

### Constructor Summary

Constructors
Constructor and Description
`SOPClass()`

### Method Summary

Methods
`static java.lang.String[]` `getPlausibleStandardSOPClassUIDsForModality(java.lang.String modality)` Return a plausible set of SOP Classes with which to encode a specified modality.
`static java.util.Set` `getSetOfStorageSOPClasses()`
`static boolean` `isCompositeInstanceQuery(java.lang.String sopClassUID)`
`static boolean` `isCompositeInstanceRetrieve(java.lang.String sopClassUID)`
`static boolean` `isCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)`
`static boolean` `isCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)`
`static boolean` `isDICONDEImageStorage(java.lang.String sopClassUID)`
`static boolean` `isDICOSImageStorage(java.lang.String sopClassUID)`
`static boolean` `isDICOSNonImageStorage(java.lang.String sopClassUID)`
`static boolean` `isDirectory(java.lang.String sopClassUID)`
`static boolean` `isEncapsulatedDocument(java.lang.String sopClassUID)`
`static boolean` `isEnhancedMultiframeImageStorage(java.lang.String sopClassUID)`
`static boolean` `isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage(java.lang.String sopClassUID)`
`static boolean` `isImageStorage(java.lang.String sopClassUID)`
`static boolean` `isKeyObjectSelectionDocument(java.lang.String sopClassUID)`
`static boolean` `isMiscellaneousCompositeNonImageStorage(java.lang.String sopClassUID)`
`static boolean` `isMiscellaneousNonCompositeStorage(java.lang.String sopClassUID)`
`static boolean` `isMultiframeSecondaryCaptureImageStorage(java.lang.String sopClassUID)`
`static boolean` `isNonImageStorage(java.lang.String sopClassUID)`
`static boolean` `isOphthalmicMeasurementStorage(java.lang.String sopClassUID)`
`static boolean` `isPatientRootCompositeInstanceQuery(java.lang.String sopClassUID)`
`static boolean` `isPatientRootCompositeInstanceRetrieve(java.lang.String sopClassUID)`
`static boolean` `isPatientRootCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)`
`static boolean` `isPatientRootCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)`
`static boolean` `isPatientStudyOnlyCompositeInstanceQuery(java.lang.String sopClassUID)`
`static boolean` `isPatientStudyOnlyCompositeInstanceRetrieve(java.lang.String sopClassUID)`
`static boolean` `isPatientStudyOnlyCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)`
`static boolean` `isPatientStudyOnlyCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)`
`static boolean` `isPresentationState(java.lang.String sopClassUID)`
`static boolean` `isPrivateImageStorage(java.lang.String sopClassUID)`
`static boolean` `isPrivateNonImageStorage(java.lang.String sopClassUID)`
`static boolean` `isRadiotherapy(java.lang.String sopClassUID)`
`static boolean` `isRawData(java.lang.String sopClassUID)`
`static boolean` `isSecondaryCaptureImageStorage(java.lang.String sopClassUID)`
`static boolean` `isSpectroscopy(java.lang.String sopClassUID)`
`static boolean` `isStandalone(java.lang.String sopClassUID)`
`static boolean` `isStandardImageStorage(java.lang.String sopClassUID)`
`static boolean` `isStorage(java.lang.String sopClassUID)`
`static boolean` `isStructuredReport(java.lang.String sopClassUID)`
`static boolean` `isStudyRootCompositeInstanceQuery(java.lang.String sopClassUID)`
`static boolean` `isStudyRootCompositeInstanceRetrieve(java.lang.String sopClassUID)`
`static boolean` `isStudyRootCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)`
`static boolean` `isStudyRootCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)`
`static boolean` `isTrialRetiredStructuredReport(java.lang.String sopClassUID)`
`static boolean` `isVerification(java.lang.String sopClassUID)`
`static boolean` `isWaveform(java.lang.String sopClassUID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Verification

    public static final java.lang.String Verification

See Also:
  Constant Field Values

#### PrivateGEPETRawDataStorage

    public static final java.lang.String PrivateGEPETRawDataStorage

See Also:
  Constant Field Values

#### PrivateGE3DModelStorage

    public static final java.lang.String PrivateGE3DModelStorage

See Also:
  Constant Field Values

#### PrivateGEeNTEGRAProtocolOrNMGenieStorage

    public static final java.lang.String PrivateGEeNTEGRAProtocolOrNMGenieStorage

See Also:
  Constant Field Values

#### PrivateGECollageStorage

    public static final java.lang.String PrivateGECollageStorage

See Also:
  Constant Field Values

#### PrivateSiemensCSANonImageStorage

    public static final java.lang.String PrivateSiemensCSANonImageStorage

See Also:
  Constant Field Values

#### PrivateFujiCRImageStorage

    public static final java.lang.String PrivateFujiCRImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsSpecialisedXAStorage

    public static final java.lang.String PrivatePhilipsSpecialisedXAStorage

See Also:
  Constant Field Values

#### PrivatePhilipsCXImageStorage

    public static final java.lang.String PrivatePhilipsCXImageStorage

See Also:
  Constant Field Values

#### PrivatePhilips3DPresentationStateStorage

    public static final java.lang.String PrivatePhilips3DPresentationStateStorage

See Also:
  Constant Field Values

#### PrivatePhilipsVolumeStorage

    public static final java.lang.String PrivatePhilipsVolumeStorage

See Also:
  Constant Field Values

#### PrivatePhilipsVolume2Storage

    public static final java.lang.String PrivatePhilipsVolume2Storage

See Also:
  Constant Field Values

#### PrivatePhilips3DObjectStorage

    public static final java.lang.String PrivatePhilips3DObjectStorage

See Also:
  Constant Field Values

#### PrivatePhilips3DObject2Storage

    public static final java.lang.String PrivatePhilips3DObject2Storage

See Also:
  Constant Field Values

#### PrivatePhilipsSurfaceStorage

    public static final java.lang.String PrivatePhilipsSurfaceStorage

See Also:
  Constant Field Values

#### PrivatePhilipsSurface2Storage

    public static final java.lang.String PrivatePhilipsSurface2Storage

See Also:
  Constant Field Values

#### PrivatePhilipsCompositeObjectStorage

    public static final java.lang.String PrivatePhilipsCompositeObjectStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRCardioProfileStorage

    public static final java.lang.String PrivatePhilipsMRCardioProfileStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRCardioStorage

    public static final java.lang.String PrivatePhilipsMRCardioStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRCardio2Storage

    public static final java.lang.String PrivatePhilipsMRCardio2Storage

See Also:
  Constant Field Values

#### PrivatePhilipsCTSyntheticImageStorage

    public static final java.lang.String PrivatePhilipsCTSyntheticImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRSyntheticImageStorage

    public static final java.lang.String PrivatePhilipsMRSyntheticImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRCardioAnalysisStorage

    public static final java.lang.String PrivatePhilipsMRCardioAnalysisStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRCardioAnalysis2Storage

    public static final java.lang.String PrivatePhilipsMRCardioAnalysis2Storage

See Also:
  Constant Field Values

#### PrivatePhilipsCXSyntheticImageStorage

    public static final java.lang.String PrivatePhilipsCXSyntheticImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsPerfusionStorage

    public static final java.lang.String PrivatePhilipsPerfusionStorage

See Also:
  Constant Field Values

#### PrivatePhilipsPerfusionImageStorage

    public static final java.lang.String PrivatePhilipsPerfusionImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRSpectrumStorage

    public static final java.lang.String PrivatePhilipsMRSpectrumStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRSeriesDataStorage

    public static final java.lang.String PrivatePhilipsMRSeriesDataStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRColorImageStorage

    public static final java.lang.String PrivatePhilipsMRColorImageStorage

See Also:
  Constant Field Values

#### PrivatePhilipsMRExamcardStorage

    public static final java.lang.String PrivatePhilipsMRExamcardStorage

See Also:
  Constant Field Values

#### PrivatePhilipsVRMLStorage

    public static final java.lang.String PrivatePhilipsVRMLStorage

See Also:
  Constant Field Values

#### PrivatePhilipsVolumeSetStorage

    public static final java.lang.String PrivatePhilipsVolumeSetStorage

See Also:
  Constant Field Values

#### PrivatePhilipsLiveRunStorage

    public static final java.lang.String PrivatePhilipsLiveRunStorage

See Also:
  Constant Field Values

#### PrivatePhilipsRunStorage

    public static final java.lang.String PrivatePhilipsRunStorage

See Also:
  Constant Field Values

#### PrivatePhilipsReconstructionStorage

    public static final java.lang.String PrivatePhilipsReconstructionStorage

See Also:
  Constant Field Values

#### PrivatePhilipsPrivateXRayMFStorage

    public static final java.lang.String PrivatePhilipsPrivateXRayMFStorage

See Also:
  Constant Field Values

#### PrivatePMODMultiframeImageStorage

    public static final java.lang.String PrivatePMODMultiframeImageStorage

See Also:
  Constant Field Values

#### PrivatePixelMedLegacyConvertedEnhancedCTImageStorage

    public static final java.lang.String PrivatePixelMedLegacyConvertedEnhancedCTImageStorage

See Also:
  Constant Field Values

#### PrivatePixelMedLegacyConvertedEnhancedMRImageStorage

    public static final java.lang.String PrivatePixelMedLegacyConvertedEnhancedMRImageStorage

See Also:
  Constant Field Values

#### PrivatePixelMedLegacyConvertedEnhancedPETImageStorage

    public static final java.lang.String PrivatePixelMedLegacyConvertedEnhancedPETImageStorage

See Also:
  Constant Field Values

#### PrivatePixelMedLegacyFloatingPointImageStorage

    public static final java.lang.String PrivatePixelMedLegacyFloatingPointImageStorage

See Also:
  Constant Field Values

#### DICOSCTImageStorage

    public static final java.lang.String DICOSCTImageStorage

See Also:
  Constant Field Values

#### DICOSDigitalXRayImageStorageForPresentation

    public static final java.lang.String DICOSDigitalXRayImageStorageForPresentation

See Also:
  Constant Field Values

#### DICOSDigitalXRayImageStorageForProcessing

    public static final java.lang.String DICOSDigitalXRayImageStorageForProcessing

See Also:
  Constant Field Values

#### DICOSThreatDetectionReportStorage

    public static final java.lang.String DICOSThreatDetectionReportStorage

See Also:
  Constant Field Values

#### DICOS2DAITStorage

    public static final java.lang.String DICOS2DAITStorage

See Also:
  Constant Field Values

#### DICOS3DAITStorage

    public static final java.lang.String DICOS3DAITStorage

See Also:
  Constant Field Values

#### DICOSQuadrupoleResonanceStorage

    public static final java.lang.String DICOSQuadrupoleResonanceStorage

See Also:
  Constant Field Values

#### DICONDEEddyCurrentImageStorage

    public static final java.lang.String DICONDEEddyCurrentImageStorage

See Also:
  Constant Field Values

#### DICONDEEddyCurrentMultiframeImageStorage

    public static final java.lang.String DICONDEEddyCurrentMultiframeImageStorage

See Also:
  Constant Field Values

#### ComputedRadiographyImageStorage

    public static final java.lang.String ComputedRadiographyImageStorage

See Also:
  Constant Field Values

#### DigitalXRayImageStorageForPresentation

    public static final java.lang.String DigitalXRayImageStorageForPresentation

See Also:
  Constant Field Values

#### DigitalXRayImageStorageForProcessing

    public static final java.lang.String DigitalXRayImageStorageForProcessing

See Also:
  Constant Field Values

#### DigitalMammographyXRayImageStorageForPresentation

    public static final java.lang.String DigitalMammographyXRayImageStorageForPresentation

See Also:
  Constant Field Values

#### DigitalMammographyXRayImageStorageForProcessing

    public static final java.lang.String DigitalMammographyXRayImageStorageForProcessing

See Also:
  Constant Field Values

#### DigitalIntraoralXRayImageStorageForPresentation

    public static final java.lang.String DigitalIntraoralXRayImageStorageForPresentation

See Also:
  Constant Field Values

#### DigitalIntraoralXRayImageStorageForProcessing

    public static final java.lang.String DigitalIntraoralXRayImageStorageForProcessing

See Also:
  Constant Field Values

#### CTImageStorage

    public static final java.lang.String CTImageStorage

See Also:
  Constant Field Values

#### EnhancedCTImageStorage

    public static final java.lang.String EnhancedCTImageStorage

See Also:
  Constant Field Values

#### LegacyConvertedEnhancedCTImageStorage

    public static final java.lang.String LegacyConvertedEnhancedCTImageStorage

See Also:
  Constant Field Values

#### UltrasoundMultiframeImageStorageRetired

    public static final java.lang.String UltrasoundMultiframeImageStorageRetired

See Also:
  Constant Field Values

#### UltrasoundMultiframeImageStorage

    public static final java.lang.String UltrasoundMultiframeImageStorage

See Also:
  Constant Field Values

#### MRImageStorage

    public static final java.lang.String MRImageStorage

See Also:
  Constant Field Values

#### EnhancedMRImageStorage

    public static final java.lang.String EnhancedMRImageStorage

See Also:
  Constant Field Values

#### EnhancedMRColorImageStorage

    public static final java.lang.String EnhancedMRColorImageStorage

See Also:
  Constant Field Values

#### LegacyConvertedEnhancedMRImageStorage

    public static final java.lang.String LegacyConvertedEnhancedMRImageStorage

See Also:
  Constant Field Values

#### NuclearMedicineImageStorageRetired

    public static final java.lang.String NuclearMedicineImageStorageRetired

See Also:
  Constant Field Values

#### UltrasoundImageStorageRetired

    public static final java.lang.String UltrasoundImageStorageRetired

See Also:
  Constant Field Values

#### UltrasoundImageStorage

    public static final java.lang.String UltrasoundImageStorage

See Also:
  Constant Field Values

#### EnhancedUSVolumeStorage

    public static final java.lang.String EnhancedUSVolumeStorage

See Also:
  Constant Field Values

#### SecondaryCaptureImageStorage

    public static final java.lang.String SecondaryCaptureImageStorage

See Also:
  Constant Field Values

#### MultiframeSingleBitSecondaryCaptureImageStorage

    public static final java.lang.String MultiframeSingleBitSecondaryCaptureImageStorage

See Also:
  Constant Field Values

#### MultiframeGrayscaleByteSecondaryCaptureImageStorage

    public static final java.lang.String MultiframeGrayscaleByteSecondaryCaptureImageStorage

See Also:
  Constant Field Values

#### MultiframeGrayscaleWordSecondaryCaptureImageStorage

    public static final java.lang.String MultiframeGrayscaleWordSecondaryCaptureImageStorage

See Also:
  Constant Field Values

#### MultiframeTrueColorSecondaryCaptureImageStorage

    public static final java.lang.String MultiframeTrueColorSecondaryCaptureImageStorage

See Also:
  Constant Field Values

#### XRayAngiographicImageStorage

    public static final java.lang.String XRayAngiographicImageStorage

See Also:
  Constant Field Values

#### EnhancedXAImageStorage

    public static final java.lang.String EnhancedXAImageStorage

See Also:
  Constant Field Values

#### XRayRadioFlouroscopicImageStorage

    public static final java.lang.String XRayRadioFlouroscopicImageStorage

See Also:
  Constant Field Values

#### EnhancedXRFImageStorage

    public static final java.lang.String EnhancedXRFImageStorage

See Also:
  Constant Field Values

#### XRayAngiographicBiplaneImageStorage

    public static final java.lang.String XRayAngiographicBiplaneImageStorage

See Also:
  Constant Field Values

#### XRay3DAngiographicImageStorage

    public static final java.lang.String XRay3DAngiographicImageStorage

See Also:
  Constant Field Values

#### XRay3DCraniofacialImageStorage

    public static final java.lang.String XRay3DCraniofacialImageStorage

See Also:
  Constant Field Values

#### BreastTomosynthesisImageStorage

    public static final java.lang.String BreastTomosynthesisImageStorage

See Also:
  Constant Field Values

#### NuclearMedicineImageStorage

    public static final java.lang.String NuclearMedicineImageStorage

See Also:
  Constant Field Values

#### VisibleLightDraftImageStorage

    public static final java.lang.String VisibleLightDraftImageStorage

See Also:
  Constant Field Values

#### VisibleLightMultiFrameDraftImageStorage

    public static final java.lang.String VisibleLightMultiFrameDraftImageStorage

See Also:
  Constant Field Values

#### VisibleLightEndoscopicImageStorage

    public static final java.lang.String VisibleLightEndoscopicImageStorage

See Also:
  Constant Field Values

#### VideoEndoscopicImageStorage

    public static final java.lang.String VideoEndoscopicImageStorage

See Also:
  Constant Field Values

#### VisibleLightMicroscopicImageStorage

    public static final java.lang.String VisibleLightMicroscopicImageStorage

See Also:
  Constant Field Values

#### VideoMicroscopicImageStorage

    public static final java.lang.String VideoMicroscopicImageStorage

See Also:
  Constant Field Values

#### VisibleLightSlideCoordinatesMicroscopicImageStorage

    public static final java.lang.String VisibleLightSlideCoordinatesMicroscopicImageStorage

See Also:
  Constant Field Values

#### VisibleLightPhotographicImageStorage

    public static final java.lang.String VisibleLightPhotographicImageStorage

See Also:
  Constant Field Values

#### VideoPhotographicImageStorage

    public static final java.lang.String VideoPhotographicImageStorage

See Also:
  Constant Field Values

#### OphthalmicPhotography8BitImageStorage

    public static final java.lang.String OphthalmicPhotography8BitImageStorage

See Also:
  Constant Field Values

#### OphthalmicPhotography16BitImageStorage

    public static final java.lang.String OphthalmicPhotography16BitImageStorage

See Also:
  Constant Field Values

#### OphthalmicTomographyImageStorage

    public static final java.lang.String OphthalmicTomographyImageStorage

See Also:
  Constant Field Values

#### OphthalmicThicknessMapStorage

    public static final java.lang.String OphthalmicThicknessMapStorage

See Also:
  Constant Field Values

#### CornealTopographyMapStorage

    public static final java.lang.String CornealTopographyMapStorage

See Also:
  Constant Field Values

#### VLWholeSlideMicroscopyImageStorage

    public static final java.lang.String VLWholeSlideMicroscopyImageStorage

See Also:
  Constant Field Values

#### PETImageStorage

    public static final java.lang.String PETImageStorage

See Also:
  Constant Field Values

#### LegacyConvertedEnhancedPETImageStorage

    public static final java.lang.String LegacyConvertedEnhancedPETImageStorage

See Also:
  Constant Field Values

#### EnhancedPETImageStorage

    public static final java.lang.String EnhancedPETImageStorage

See Also:
  Constant Field Values

#### RTImageStorage

    public static final java.lang.String RTImageStorage

See Also:
  Constant Field Values

#### SegmentationStorage

    public static final java.lang.String SegmentationStorage

See Also:
  Constant Field Values

#### IVOCTImageStorageForPresentation

    public static final java.lang.String IVOCTImageStorageForPresentation

See Also:
  Constant Field Values

#### IVOCTImageStorageForProcessing

    public static final java.lang.String IVOCTImageStorageForProcessing

See Also:
  Constant Field Values

#### MediaStorageDirectoryStorage

    public static final java.lang.String MediaStorageDirectoryStorage

See Also:
  Constant Field Values

#### BasicTextSRStorage

    public static final java.lang.String BasicTextSRStorage

See Also:
  Constant Field Values

#### EnhancedSRStorage

    public static final java.lang.String EnhancedSRStorage

See Also:
  Constant Field Values

#### ComprehensiveSRStorage

    public static final java.lang.String ComprehensiveSRStorage

See Also:
  Constant Field Values

#### Comprehensive3DSRStorage

    public static final java.lang.String Comprehensive3DSRStorage

See Also:
  Constant Field Values

#### MammographyCADSRStorage

    public static final java.lang.String MammographyCADSRStorage

See Also:
  Constant Field Values

#### ChestCADSRStorage

    public static final java.lang.String ChestCADSRStorage

See Also:
  Constant Field Values

#### ProcedureLogStorage

    public static final java.lang.String ProcedureLogStorage

See Also:
  Constant Field Values

#### XRayRadiationDoseSRStorage

    public static final java.lang.String XRayRadiationDoseSRStorage

See Also:
  Constant Field Values

#### ColonCADSRStorage

    public static final java.lang.String ColonCADSRStorage

See Also:
  Constant Field Values

#### ImplantationPlanSRStorage

    public static final java.lang.String ImplantationPlanSRStorage

See Also:
  Constant Field Values

#### MacularGridThicknessAndVolumeReportStorage

    public static final java.lang.String MacularGridThicknessAndVolumeReportStorage

See Also:
  Constant Field Values

#### KeyObjectSelectionDocumentStorage

    public static final java.lang.String KeyObjectSelectionDocumentStorage

See Also:
  Constant Field Values

#### SpectaclePrescriptionReportStorage

    public static final java.lang.String SpectaclePrescriptionReportStorage

See Also:
  Constant Field Values

#### TextSRStorageTrialRetired

    public static final java.lang.String TextSRStorageTrialRetired

See Also:
  Constant Field Values

#### AudioSRStorageTrialRetired

    public static final java.lang.String AudioSRStorageTrialRetired

See Also:
  Constant Field Values

#### DetailSRStorageTrialRetired

    public static final java.lang.String DetailSRStorageTrialRetired

See Also:
  Constant Field Values

#### ComprehensiveSRStorageTrialRetired

    public static final java.lang.String ComprehensiveSRStorageTrialRetired

See Also:
  Constant Field Values

#### GrayscaleSoftcopyPresentationStateStorage

    public static final java.lang.String GrayscaleSoftcopyPresentationStateStorage

See Also:
  Constant Field Values

#### ColorSoftcopyPresentationStateStorage

    public static final java.lang.String ColorSoftcopyPresentationStateStorage

See Also:
  Constant Field Values

#### PseudoColorSoftcopyPresentationStateStorage

    public static final java.lang.String PseudoColorSoftcopyPresentationStateStorage

See Also:
  Constant Field Values

#### BlendingSoftcopyPresentationStateStorage

    public static final java.lang.String BlendingSoftcopyPresentationStateStorage

See Also:
  Constant Field Values

#### XAXRFGrayscaleSoftcopyPresentationStateStorage

    public static final java.lang.String XAXRFGrayscaleSoftcopyPresentationStateStorage

See Also:
  Constant Field Values

#### TwelveLeadECGStorage

    public static final java.lang.String TwelveLeadECGStorage

See Also:
  Constant Field Values

#### GeneralECGStorage

    public static final java.lang.String GeneralECGStorage

See Also:
  Constant Field Values

#### AmbulatoryECGStorage

    public static final java.lang.String AmbulatoryECGStorage

See Also:
  Constant Field Values

#### HemodynamicWaveformStorage

    public static final java.lang.String HemodynamicWaveformStorage

See Also:
  Constant Field Values

#### CardiacElectrophysiologyWaveformStorage

    public static final java.lang.String CardiacElectrophysiologyWaveformStorage

See Also:
  Constant Field Values

#### ArterialPulseWaveformStorage

    public static final java.lang.String ArterialPulseWaveformStorage

See Also:
  Constant Field Values

#### RespiratoryWaveformStorage

    public static final java.lang.String RespiratoryWaveformStorage

See Also:
  Constant Field Values

#### BasicVoiceStorage

    public static final java.lang.String BasicVoiceStorage

See Also:
  Constant Field Values

#### GeneralAudioWaveformStorage

    public static final java.lang.String GeneralAudioWaveformStorage

See Also:
  Constant Field Values

#### StandaloneOverlayStorage

    public static final java.lang.String StandaloneOverlayStorage

See Also:
  Constant Field Values

#### StandaloneCurveStorage

    public static final java.lang.String StandaloneCurveStorage

See Also:
  Constant Field Values

#### StandaloneModalityLUTStorage

    public static final java.lang.String StandaloneModalityLUTStorage

See Also:
  Constant Field Values

#### StandaloneVOILUTStorage

    public static final java.lang.String StandaloneVOILUTStorage

See Also:
  Constant Field Values

#### StandalonePETCurveStorage

    public static final java.lang.String StandalonePETCurveStorage

See Also:
  Constant Field Values

#### RTDoseStorage

    public static final java.lang.String RTDoseStorage

See Also:
  Constant Field Values

#### RTStructureSetStorage

    public static final java.lang.String RTStructureSetStorage

See Also:
  Constant Field Values

#### RTBeamsTreatmentRecordStorage

    public static final java.lang.String RTBeamsTreatmentRecordStorage

See Also:
  Constant Field Values

#### RTIonBeamsTreatmentRecordStorage

    public static final java.lang.String RTIonBeamsTreatmentRecordStorage

See Also:
  Constant Field Values

#### RTPlanStorage

    public static final java.lang.String RTPlanStorage

See Also:
  Constant Field Values

#### RTIonPlanStorage

    public static final java.lang.String RTIonPlanStorage

See Also:
  Constant Field Values

#### RTBrachyTreatmentRecordStorage

    public static final java.lang.String RTBrachyTreatmentRecordStorage

See Also:
  Constant Field Values

#### RTTreatmentSummaryRecordStorage

    public static final java.lang.String RTTreatmentSummaryRecordStorage

See Also:
  Constant Field Values

#### RTBeamsDeliveryInstructionStorageTrial

    public static final java.lang.String RTBeamsDeliveryInstructionStorageTrial

See Also:
  Constant Field Values

#### RTBeamsDeliveryInstructionStorage

    public static final java.lang.String RTBeamsDeliveryInstructionStorage

See Also:
  Constant Field Values

#### MRSpectroscopyStorage

    public static final java.lang.String MRSpectroscopyStorage

See Also:
  Constant Field Values

#### RawDataStorage

    public static final java.lang.String RawDataStorage

See Also:
  Constant Field Values

#### EncapsulatedPDFStorage

    public static final java.lang.String EncapsulatedPDFStorage

See Also:
  Constant Field Values

#### EncapsulatedCDAStorage

    public static final java.lang.String EncapsulatedCDAStorage

See Also:
  Constant Field Values

#### SpatialRegistrationStorage

    public static final java.lang.String SpatialRegistrationStorage

See Also:
  Constant Field Values

#### SpatialFiducialsStorage

    public static final java.lang.String SpatialFiducialsStorage

See Also:
  Constant Field Values

#### DeformableSpatialRegistrationStorage

    public static final java.lang.String DeformableSpatialRegistrationStorage

See Also:
  Constant Field Values

#### StereometricRelationshipStorage

    public static final java.lang.String StereometricRelationshipStorage

See Also:
  Constant Field Values

#### RealWorldValueMappingStorage

    public static final java.lang.String RealWorldValueMappingStorage

See Also:
  Constant Field Values

#### SurfaceSegmentationStorage

    public static final java.lang.String SurfaceSegmentationStorage

See Also:
  Constant Field Values

#### SurfaceScanMeshStorage

    public static final java.lang.String SurfaceScanMeshStorage

See Also:
  Constant Field Values

#### SurfaceScanPointCloudStorage

    public static final java.lang.String SurfaceScanPointCloudStorage

See Also:
  Constant Field Values

#### BasicStructuredDisplayStorage

    public static final java.lang.String BasicStructuredDisplayStorage

See Also:
  Constant Field Values

#### LensometryMeasurementsStorage

    public static final java.lang.String LensometryMeasurementsStorage

See Also:
  Constant Field Values

#### AutorefractionMeasurementsStorage

    public static final java.lang.String AutorefractionMeasurementsStorage

See Also:
  Constant Field Values

#### KeratometryMeasurementsStorage

    public static final java.lang.String KeratometryMeasurementsStorage

See Also:
  Constant Field Values

#### SubjectiveRefractionMeasurementsStorage

    public static final java.lang.String SubjectiveRefractionMeasurementsStorage

See Also:
  Constant Field Values

#### VisualAcuityMeasurementsStorage

    public static final java.lang.String VisualAcuityMeasurementsStorage

See Also:
  Constant Field Values

#### OphthalmicAxialMeasurementsStorage

    public static final java.lang.String OphthalmicAxialMeasurementsStorage

See Also:
  Constant Field Values

#### IntraocularLensCalculationsStorage

    public static final java.lang.String IntraocularLensCalculationsStorage

See Also:
  Constant Field Values

#### OphthalmicVisualFieldStaticPerimetryMeasurementsStorage

    public static final java.lang.String OphthalmicVisualFieldStaticPerimetryMeasurementsStorage

See Also:
  Constant Field Values

#### ColorPaletteStorage

    public static final java.lang.String ColorPaletteStorage

See Also:
  Constant Field Values

#### GenericImplantTemplateStorage

    public static final java.lang.String GenericImplantTemplateStorage

See Also:
  Constant Field Values

#### ImplantAssemblyTemplateStorage

    public static final java.lang.String ImplantAssemblyTemplateStorage

See Also:
  Constant Field Values

#### ImplantTemplateGroupStorage

    public static final java.lang.String ImplantTemplateGroupStorage

See Also:
  Constant Field Values

#### StudyRootQueryRetrieveInformationModelFind

    public static final java.lang.String StudyRootQueryRetrieveInformationModelFind

See Also:
  Constant Field Values

#### StudyRootQueryRetrieveInformationModelMove

    public static final java.lang.String StudyRootQueryRetrieveInformationModelMove

See Also:
  Constant Field Values

#### StudyRootQueryRetrieveInformationModelGet

    public static final java.lang.String StudyRootQueryRetrieveInformationModelGet

See Also:
  Constant Field Values

#### PatientRootQueryRetrieveInformationModelFind

    public static final java.lang.String PatientRootQueryRetrieveInformationModelFind

See Also:
  Constant Field Values

#### PatientRootQueryRetrieveInformationModelMove

    public static final java.lang.String PatientRootQueryRetrieveInformationModelMove

See Also:
  Constant Field Values

#### PatientRootQueryRetrieveInformationModelGet

    public static final java.lang.String PatientRootQueryRetrieveInformationModelGet

See Also:
  Constant Field Values

#### PatientStudyOnlyQueryRetrieveInformationModelFind

    public static final java.lang.String PatientStudyOnlyQueryRetrieveInformationModelFind

See Also:
  Constant Field Values

#### PatientStudyOnlyQueryRetrieveInformationModelMove

    public static final java.lang.String PatientStudyOnlyQueryRetrieveInformationModelMove

See Also:
  Constant Field Values

#### PatientStudyOnlyQueryRetrieveInformationModelGet

    public static final java.lang.String PatientStudyOnlyQueryRetrieveInformationModelGet

See Also:
  Constant Field Values

#### ColorPaletteInformationModelFind

    public static final java.lang.String ColorPaletteInformationModelFind

See Also:
  Constant Field Values

#### ColorPaletteInformationModelMove

    public static final java.lang.String ColorPaletteInformationModelMove

See Also:
  Constant Field Values

#### ColorPaletteInformationModelGet

    public static final java.lang.String ColorPaletteInformationModelGet

See Also:
  Constant Field Values

#### arrayOfQuerySOPClasses

    public static final java.lang.String[] arrayOfQuerySOPClasses

#### arrayOfRetrieveWithMoveSOPClasses

    public static final java.lang.String[] arrayOfRetrieveWithMoveSOPClasses

#### arrayOfRetrieveWithGetSOPClasses

    public static final java.lang.String[] arrayOfRetrieveWithGetSOPClasses

#### arrayOfStorageSOPClasses

    public static final java.lang.String[] arrayOfStorageSOPClasses

### Constructor Detail

#### SOPClass

    public SOPClass()

### Method Detail

#### isVerification

    public static final boolean isVerification(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Verification SOP Class

#### isPrivateNonImageStorage

    public static final boolean isPrivateNonImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known private non-image Storage SOP Classes

#### isPrivateImageStorage

    public static final boolean isPrivateImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known private image Storage SOP Classes

#### isDICOSImageStorage

    public static final boolean isDICOSImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICOS image Storage SOP Classes

#### isDICOSNonImageStorage

    public static final boolean isDICOSNonImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICOS non-image Storage SOP Classes

#### isDICONDEImageStorage

    public static final boolean isDICONDEImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known DICONDE image Storage SOP Classes

#### isImageStorage

    public static final boolean isImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Image Storage SOP Classes

#### isStandardImageStorage

    public static final boolean isStandardImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Image Storage SOP Classes

#### isEnhancedMultiframeImageStorage

    public static final boolean isEnhancedMultiframeImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Enhanced Multiframe Image Storage SOP Classes

#### isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage

    public static final boolean isEnhancedMultiframeImageWithPlanePositionOrientationAndMeasuresStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard or private Enhanced Multiframe Image Storage SOP Classes that uses the Plane Position, Orientation and Pixel Measures functional groups

#### isMultiframeSecondaryCaptureImageStorage

    public static final boolean isMultiframeSecondaryCaptureImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Multiframe Secondary Capture Image Storage SOP Classes

#### isSecondaryCaptureImageStorage

    public static final boolean isSecondaryCaptureImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Secondary Capture Image Storage SOP Classes (including Multiframe)

#### isDirectory

    public static final boolean isDirectory(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Media Storage Directory Storage SOP Class (used for the DICOMDIR)

#### isStructuredReport

    public static final boolean isStructuredReport(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard generic or specific Structured Report Storage SOP Classes (including Key Object)

#### isTrialRetiredStructuredReport

    public static final boolean isTrialRetiredStructuredReport(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard generic or specific Structured Report Storage SOP Classes (including Key Object)

#### isKeyObjectSelectionDocument

    public static final boolean isKeyObjectSelectionDocument(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Key Object Storage SOP Class

#### isPresentationState

    public static final boolean isPresentationState(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Presentation State Storage SOP Classes (currently just the Grayscale Softcopy Presentation State Storage SOP Class)

#### isWaveform

    public static final boolean isWaveform(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Waveform Storage SOP Classes

#### isStandalone

    public static final boolean isStandalone(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Standalone Storage SOP Classes (overlay, curve (including PET curve), and LUTs)

#### isRadiotherapy

    public static final boolean isRadiotherapy(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard RT non-image Storage SOP Classes (dose, structure set, plan and treatment records)

#### isSpectroscopy

    public static final boolean isSpectroscopy(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known standard Spectroscopy Storage SOP Classes (currently just the MR Spectroscopy Storage SOP Class)

#### isRawData

    public static final boolean isRawData(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Raw Data Storage SOP Class

#### isEncapsulatedDocument

    public static final boolean isEncapsulatedDocument(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the Raw Data Storage SOP Class

#### isOphthalmicMeasurementStorage

    public static final boolean isOphthalmicMeasurementStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known refractive measurement Storage SOP Classes

#### isMiscellaneousCompositeNonImageStorage

    public static final boolean isMiscellaneousCompositeNonImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known miscellaneous composite non-image Storage SOP Classes

#### isMiscellaneousNonCompositeStorage

    public static final boolean isMiscellaneousNonCompositeStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known miscellaneous non-composite Storage SOP Classes

#### isNonImageStorage

    public static final boolean isNonImageStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known non-image Storage SOP Classes (directory, SR, presentation state, waveform, standalone, RT, spectroscopy, raw data, encapsulated document, etc. or private)

#### isStorage

    public static final boolean isStorage(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known Storage SOP Classes

#### isCompositeInstanceQuery

    public static final boolean isCompositeInstanceQuery(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance query SOP Classes

#### isStudyRootCompositeInstanceQuery

    public static final boolean isStudyRootCompositeInstanceQuery(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance query SOP Class

#### isPatientRootCompositeInstanceQuery

    public static final boolean isPatientRootCompositeInstanceQuery(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance query SOP Class

#### isPatientStudyOnlyCompositeInstanceQuery

    public static final boolean isPatientStudyOnlyCompositeInstanceQuery(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance query SOP Class

#### isCompositeInstanceRetrieveWithMove

    public static final boolean isCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance retrieve move SOP Classes

#### isStudyRootCompositeInstanceRetrieveWithMove

    public static final boolean isStudyRootCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance retrieve move SOP Class

#### isPatientRootCompositeInstanceRetrieveWithMove

    public static final boolean isPatientRootCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance retrieve move SOP Class

#### isPatientStudyOnlyCompositeInstanceRetrieveWithMove

    public static final boolean isPatientStudyOnlyCompositeInstanceRetrieveWithMove(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance retrieve move SOP Class

#### isCompositeInstanceRetrieveWithGet

    public static final boolean isCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance get SOP Classes

#### isStudyRootCompositeInstanceRetrieveWithGet

    public static final boolean isStudyRootCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance get SOP Class

#### isPatientRootCompositeInstanceRetrieveWithGet

    public static final boolean isPatientRootCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance get SOP Class

#### isPatientStudyOnlyCompositeInstanceRetrieveWithGet

    public static final boolean isPatientStudyOnlyCompositeInstanceRetrieveWithGet(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance get SOP Class

#### isCompositeInstanceRetrieve

    public static final boolean isCompositeInstanceRetrieve(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches one of the known composite instance retrieve move or get SOP Classes

#### isStudyRootCompositeInstanceRetrieve

    public static final boolean isStudyRootCompositeInstanceRetrieve(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the study root composite instance retrieve move or get SOP Classes

#### isPatientRootCompositeInstanceRetrieve

    public static final boolean isPatientRootCompositeInstanceRetrieve(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient root composite instance retrieve move or get SOP Classes

#### isPatientStudyOnlyCompositeInstanceRetrieve

    public static final boolean isPatientStudyOnlyCompositeInstanceRetrieve(java.lang.String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  true if the UID argument matches the patient/study only composite instance retrieve move or get SOP Classes

#### getSetOfStorageSOPClasses

    public static final java.util.Set getSetOfStorageSOPClasses()

Returns:
  an (unmodifiable) `Set` of known Storage SOP Classes

#### getPlausibleStandardSOPClassUIDsForModality

    public static java.lang.String[] getPlausibleStandardSOPClassUIDsForModality(java.lang.String modality)

Return a plausible set of SOP Classes with which to encode a specified modality.

Useful for association negitation for a C-GET operation when the SOP Classes to be retrieved are not explicitly known.

Includes both those SOP Classes that have mandatory fixed modality values, as well as likely secondary capture, encapsulated, raw data and more general SOP Classes that could be used.

Parameters:
  `modality` - a DICOM standard string value for Modality
Returns:
  an array of DICOM standard Storage SOP Class UIDs